#include <stdio.h>
#include <stdlib.h>

/* Costruzione dell'albero, come vista a lezione. */
typedef struct t_nodo {
   int dato;
   struct t_nodo *sx, *dx;
} nodo;

nodo *inserisci ( nodo *corrente , int dato ) {
  nodo *nuovo; 
  if ( corrente != NULL ) { 
    if ( dato <= corrente->dato ) 
      corrente->sx = inserisci ( corrente->sx, dato );
    else 
      corrente->dx = inserisci ( corrente->dx, dato );
    return corrente;
  } else {
    nuovo = (nodo *)malloc(sizeof(nodo));
    nuovo->dato = dato;
    nuovo->sx = nuovo->dx = NULL;
    return nuovo;
  }
}


/* Eccoci alla parte interessante.
   La procedura e' ricorsiva. Chiamiamo K(x) = F(x) - I(x).
   La procedura ha in input un nodo x, esegue le stampa
   riguardo il nodo x e poi ritorna il valore di K(x).
   In questo modo, si puo' chiamare sui sottoalberi sinistri
   e destri questa procedura, ottenere i due valori da sommare
   per determinare K(x) e poi ritornare quello necessario al
   computo del nodo padre. 
   Il secondo parametro e' un puntatore in cui si accumula il conteggio
   dei nodi tra le varie chiamate. */
  
int esegui( nodo *corrente, int *conta ) {
   int k = corrente->dato;

   if ( corrente->sx == NULL && corrente->dx == NULL ) 
     return -k;

   if ( corrente->sx != NULL ) 
     k = k + esegui(corrente->sx, conta);
   if ( corrente->dx != NULL ) 
     k = k + esegui(corrente->dx, conta);

   if ( k >= 0 && k % 7 == 0 )
    (*conta)++;

   return k;
}

int main() {
  int N, val, i;
  nodo *albero = NULL;

  scanf("%d", &N);
  for ( i = 0; i < N; i++ )  {
    scanf("%d", &val);
    albero = inserisci ( albero, val );
  }
  val = 0;
  esegui( albero, &val );
  printf("%d\n", val);
  return 0; 
}


